Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::DialogSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Dialog. More...

`#include <xfc/gtk/dialogsignals.hh>`

Inheritance diagram for Xfc::Gtk::DialogSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_response (int response_id)
    Called when an action widget is activated, the dialog receives a delete event, or the application programmer calls response().
- virtual void on_close ()
    Called when the user closes the dialog box by pressing the escape key (GDK_Escape).

## Protected Member Functions

Constructors

- DialogSignals (Dialog *dialog)
    Construct a new DialogSignals object.
- virtual ~DialogSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Dialog.

## Constructor & Destructor Documentation

Xfc::Gtk::DialogSignals::DialogSignals | ( | Dialog * | dialog | ) | `[protected]`

Construct a new DialogSignals object.

Parameters:

  | dialog | A Dialog object inheriting the DialogSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::DialogSignals::on_response | ( | int | response_id | ) | `[virtual]`

Called when an action widget is activated, the dialog receives a delete event, or the application programmer calls response().

Parameters:

  | response_id | The response ID of the action widget.

On a delete event, the response ID is RESPONSE_NONE. Otherwise, it depends on which action widget was activated.

The documentation for this class was generated from the following file:

- dialogsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3